List debtors
import requests
url = "https://api.paywise.de/v1/debtors/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v1/debtors/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v1/debtors/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/debtors/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v1/debtors/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"href": "<string>",
"acting_as": "consumer",
"addresses": [
{
"street": "<string>",
"zip": "<string>",
"city": "<string>",
"country": "AF"
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"id": "<string>",
"your_reference": "<string>",
"person": {
"first_name": "<string>",
"last_name": "<string>",
"salutation": "<string>",
"birth_date": "2023-12-25",
"death_date": "2023-12-25"
},
"organization": {
"name": "<string>"
},
"communication_channels": [
{
"type": "email",
"value": "<string>"
}
],
"bank_accounts": [
{
"iban": "<string>",
"bic": "<string>"
}
],
"metadata": [
{
"type": "user:reference",
"value": "<string>"
}
],
"events": [
{
"type": "registration",
"title": "<string>",
"occurence": "2023-11-07T05:31:56Z",
"your_reference": "<string>",
"description": "<string>",
"location": "<string>"
}
]
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}debtors
List debtors
List your debtors.
GET
/
v1
/
debtors
/
List debtors
import requests
url = "https://api.paywise.de/v1/debtors/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v1/debtors/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v1/debtors/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/debtors/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v1/debtors/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"href": "<string>",
"acting_as": "consumer",
"addresses": [
{
"street": "<string>",
"zip": "<string>",
"city": "<string>",
"country": "AF"
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"id": "<string>",
"your_reference": "<string>",
"person": {
"first_name": "<string>",
"last_name": "<string>",
"salutation": "<string>",
"birth_date": "2023-12-25",
"death_date": "2023-12-25"
},
"organization": {
"name": "<string>"
},
"communication_channels": [
{
"type": "email",
"value": "<string>"
}
],
"bank_accounts": [
{
"iban": "<string>",
"bic": "<string>"
}
],
"metadata": [
{
"type": "user:reference",
"value": "<string>"
}
],
"events": [
{
"type": "registration",
"title": "<string>",
"occurence": "2023-11-07T05:31:56Z",
"your_reference": "<string>",
"description": "<string>",
"location": "<string>"
}
]
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Authorizations
tokenAuthtokenAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by acting_as value of the debtor
Filter by our ID of the debtor
Anzahl der pro Seite zurückzugebenden Ergebnisse.
Der initiale Index, von dem die Ergebnisse zurückgegeben werden sollen.
Filter by your_reference for the debtor
